package com.yidianling.consultant

import android.widget.ImageView
import com.ydl.ydl_image.config.SimpleImageOpConfiger
import com.ydl.ydlcommon.mvp.base.IView
import com.yidianling.consultant.model.bean.DoctorServiceItem
import com.yidianling.consultant.model.bean.ExpertBannerBean
import com.yidianling.consultant.model.bean.ExpertSearchBean
import com.yidianling.consultant.model.bean.HeadData

/**
 * Created by zqk on 17-9-19.
 */
interface IExpertSearchView : IView {
    fun onServiceListFetched(data: MutableList<DoctorServiceItem>, page: Int, totalPage: Int)
    fun showRefreshLayout()

    fun localData()
    fun updateCache(showType: Int,searchBean: ExpertSearchBean)

    fun onHeadFetched(headData: HeadData?)
    fun onDoctorListFetched(data: MutableList<DoctorServiceItem>, page: Int,totalPage : Int)
    fun fetchFailed(msg: String?)
    fun fetchListFailed(msg: String?)
    fun fetchListEmpty(msg: String?)
    fun onBannerListFetched(data: MutableList<ExpertBannerBean>?)
    /**
     * 加载图片
     */
    fun showImage(url : String?, imgView : ImageView, width : Int, heigh : Int, ops : SimpleImageOpConfiger)

    /**
     * 加载图片
     */
    fun showImage(url : String?, imgView : ImageView)

    /**
     * 加载图片
     */
    fun showImage(url : String?, imgView : ImageView, ops : SimpleImageOpConfiger)

}